Bug 1406039 - Installed (but unpackaged) file(s) found
Summary: Installed (but unpackaged) file(s) found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gstreamer1-plugins-bad-free
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Wim Taymans
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-19 14:37 UTC by Tomas Pelka
Modified: 2017-08-01 22:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 22:24:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Tomas Pelka 2016-12-19 14:37:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):
gstreamer1-plugins-bad-free-1.4.5-6.el7_3

How reproducible:
100%

Steps to Reproduce:
1. rpmbuild
2.
3.

Actual results:
error: Installed (but unpackaged) file(s) found:
   /usr/lib64/gstreamer-1.0/libgstcurl.so
   /usr/lib64/gstreamer-1.0/libgstopenexr.so
   /usr/lib64/gstreamer-1.0/libgstvdpau.so

Expected results:


Additional info:

Comment 2 Wim Taymans 2017-03-09 15:12:15 UTC
The number of plugins built depends on what libraries are present in the buildroot. We explicitly disable those plugins from building by not specifying a buildrequirement. We could also explicitly use --disable-<foo>

Comment 4 errata-xmlrpc 2017-08-01 22:24:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.